> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 回复全部消息

> 对来自特定收件箱的消息执行全部回复。



## OpenAPI

````yaml openapi/zh/agentmail.json POST /agentmail/inboxes/{inbox_id}/messages/{message_id}/reply-all
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 AgentMail 电子邮件 API 端点。改编自上游 docs.agentmail.to OpenAPI 规范。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/inboxes/{inbox_id}/messages/{message_id}/reply-all:
    post:
      tags:
        - subpackage_inboxes.subpackage_inboxes/messages
      summary: 回复全部消息
      description: >-
        **CLI：**

        ```bash

        agentmail inboxes:messages reply-all --inbox-id <inbox_id> --message-id
        <message_id> --text "Reply text"

        ```
      operationId: post_agentmail_inboxes_inbox_id_messages_message_id_reply_all
      parameters:
        - name: inbox_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_inboxes_InboxId'
        - name: message_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_messages_MessageId'
        - name: Authorization
          in: header
          description: Bearer 身份验证
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/type_messages_ReplyAllMessageRequest'
      responses:
        '200':
          description: 状态码为 200 的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_messages_SendMessageResponse'
        '400':
          description: 状态码为 400 的错误响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type__ValidationErrorResponse'
        '403':
          description: 状态码为 403 的错误响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type__ErrorResponse'
        '404':
          description: 状态码为 404 的错误响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type__ErrorResponse'
components:
  schemas:
    type_inboxes_InboxId:
      type: string
      description: 收件箱的 ID。
      title: InboxId
    type_messages_MessageId:
      type: string
      description: 消息 ID。
      title: MessageId
    type_messages_ReplyAllMessageRequest:
      type: object
      properties:
        labels:
          $ref: '#/components/schemas/type_messages_MessageLabels'
        reply_to:
          $ref: '#/components/schemas/type_messages_SendMessageReplyTo'
        text:
          $ref: '#/components/schemas/type_messages_MessageText'
        html:
          $ref: '#/components/schemas/type_messages_MessageHtml'
        attachments:
          $ref: '#/components/schemas/type_messages_SendMessageAttachments'
        headers:
          $ref: '#/components/schemas/type_messages_SendMessageHeaders'
      title: ReplyAllMessageRequest
    type_messages_SendMessageResponse:
      type: object
      properties:
        message_id:
          $ref: '#/components/schemas/type_messages_MessageId'
        thread_id:
          $ref: '#/components/schemas/type_threads_ThreadId'
      required:
        - message_id
        - thread_id
      title: SendMessageResponse
    type__ValidationErrorResponse:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/type__ErrorName'
        errors:
          description: 验证错误。
      required:
        - name
        - errors
      title: ValidationErrorResponse
    type__ErrorResponse:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/type__ErrorName'
        message:
          $ref: '#/components/schemas/type__ErrorMessage'
      required:
        - name
        - message
      title: ErrorResponse
    type_messages_MessageLabels:
      type: array
      items:
        type: string
      description: 消息标签。
      title: MessageLabels
    type_messages_SendMessageReplyTo:
      $ref: '#/components/schemas/type_messages_Addresses'
      description: 回复地址（一个或多个）。
      title: SendMessageReplyTo
    type_messages_MessageText:
      type: string
      description: 消息的纯文本正文。
      title: MessageText
    type_messages_MessageHtml:
      type: string
      description: 消息的 HTML 正文。
      title: MessageHtml
    type_messages_SendMessageAttachments:
      type: array
      items:
        $ref: '#/components/schemas/type_attachments_SendAttachment'
      description: 消息中要包含的附件。
      title: SendMessageAttachments
    type_messages_SendMessageHeaders:
      type: object
      additionalProperties:
        type: string
      description: 消息中要包含的标头。
      title: SendMessageHeaders
    type_threads_ThreadId:
      type: string
      description: 会话 ID。
      title: ThreadId
    type__ErrorName:
      type: string
      description: 错误名称。
      title: ErrorName
    type__ErrorMessage:
      type: string
      description: 错误消息。
      title: ErrorMessage
    type_messages_Addresses:
      oneOf:
        - type: string
        - type: array
          items:
            type: string
      title: Addresses
    type_attachments_SendAttachment:
      type: object
      properties:
        filename:
          $ref: '#/components/schemas/type_attachments_AttachmentFilename'
        content_type:
          $ref: '#/components/schemas/type_attachments_AttachmentContentType'
        content_disposition:
          $ref: '#/components/schemas/type_attachments_AttachmentContentDisposition'
        content_id:
          $ref: '#/components/schemas/type_attachments_AttachmentContentId'
        content:
          type: string
          description: 附件的 Base64 编码内容。
        url:
          type: string
          description: 附件的 URL。
      title: SendAttachment
    type_attachments_AttachmentFilename:
      type: string
      description: 附件文件名。
      title: AttachmentFilename
    type_attachments_AttachmentContentType:
      type: string
      description: 附件的内容类型。
      title: AttachmentContentType
    type_attachments_AttachmentContentDisposition:
      type: string
      enum:
        - inline
        - attachment
      description: 附件的内容处置方式。
      title: AttachmentContentDisposition
    type_attachments_AttachmentContentId:
      type: string
      description: 附件的内容 ID。
      title: AttachmentContentId
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````